%define major 9
%define libname %mklibname %{name} _%{major}
%define develname %mklibname -d %{name}

Summary:    A library for simple use of LV2 plugins
Name:       slv2
Version:    0.6.6
Release:    %mkrel 7
Group:      System/Libraries
License:    GPLv2+
URL:        http://wiki.drobilla.net/SLV2
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch0:        slv2-0.6.6-ladspa2lv2_fix.diff
Patch1:		slv2-0.6.6-link.patch
BuildRequires:  doxygen
BuildRequires:  libjack-devel
BuildRequires:  liblrdf-devel
BuildRequires:  libtool
BuildRequires:  lv2core-devel >= 3.0
BuildRequires:  pkgconfig
BuildRequires:  raptor-devel
BuildRequires:  rasqal-devel
BuildRequires:  redland-devel >= 1.0.6
BuildRequires:  libjack-devel >= 0.107.0
BuildRequires:  python

%description
SLV2 is a library geared towards music and audio applications which makes the
use of LV2 plugins <http://lv2plug.in> as simple as possible.

This binary package contains various binaries:

 o lv2_inspect - Display information about an LV2 plugin.
 o lv2_jack_host - SLV2 Jack Host.
 o lv2_list - List system installed LV2 plugins.
 o lv2_simple_jack_host - SLV2 Simple Jack Host Example.

%package -n %{libname}
Summary:    A library for simple use of LV2 plugins
Group:          System/Libraries

%description -n %{libname}
SLV2 is a library geared towards music and audio applications which makes the
use of LV2 plugins <http://lv2plug.in> as simple as possible.

%package -n %{develname}
Summary:    Development files (headers) for SLV2
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}
Requires:   lv2core-devel >= 3.0

%description -n %{develname}
Files required for compiling programs which use SLV2, and developer
documentation.

%prep
%setup -q -n %{name}-%version
%patch0 -p0
%patch1 -p0 -b .link

# antiborker
perl -pi -e "s|/sbin/ldconfig|/bin/true|g" *.py

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" *.py

%build
%setup_compile_flags
export LINKFLAGS="%ldflags"
python ./waf configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}/ \
    --mandir=%{_mandir} \
    --build-docs

python ./waf build --verbose

%install
DESTDIR=%{buildroot} python ./waf install --verbose

install -d %{buildroot}%{_libdir}/lv2

%files
%doc README
%{_bindir}/ladspa2lv2
%{_bindir}/lv2_inspect
%{_bindir}/lv2_jack_host
%{_bindir}/lv2_list
%{_bindir}/lv2_simple_jack_host
%dir %{_libdir}/lv2/
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS README
%{_libdir}/libslv2.so.%{major}*

%files -n %{develname}
%doc build/default/doc/html/*
%{_includedir}/slv2/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/slv2.pc
%{_mandir}/man3/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.6.6-7.mga3
+ Revision: 382189
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 0.6.6-6.mga3
+ Revision: 305400
- link with raptor
- export linkflags

* Sun Oct 14 2012 fwang <fwang> 0.6.6-5.mga3
+ Revision: 305394
- link against dl
- more linkage
- check libm
- fix linkage
- cleanup spec

* Thu Mar 24 2011 boklm <boklm> 0.6.6-5.mga1
+ Revision: 76210
- rebuild for bug #497

* Thu Mar 10 2011 ennael <ennael> 0.6.6-4.mga1
+ Revision: 67572
- clean spec file
- imported package slv2

